Bug 816607 - [abrt] libreport-gtk-2.0.10-2.fc17: report_tb_was_toggled: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.10-2.fc17: report_tb_was_toggled: Process /usr/bin/r...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:0c5121a64af83a99fc49c68db5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 09:49 EDT by Michal Nowak
Modified: 2013-03-07 21:13 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 15:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.77 KB, text/plain)
2012-04-26 09:49 EDT, Michal Nowak
no flags Details
File: maps (35.57 KB, text/plain)
2012-04-26 09:49 EDT, Michal Nowak
no flags Details
File: dso_list (7.01 KB, text/plain)
2012-04-26 09:49 EDT, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2012-04-26 09:49:26 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2012-04-26-15:19:01-1571
comment:        Execute reporter-gtk (via abrt-gui), report some crash to Logger, install another plugin (Mailx in my case), with the running instance of GTK reporter try to report to via Mailx plugin -> crash at some point.
crash_function: report_tb_was_toggled
executable:     /usr/bin/report-gtk
kernel:         3.3.2-8.fc17.x86_64
pid:            1617
pwd:            /home/newman
remote_result:  NOTFOUND
time:           Thu 26 Apr 2012 03:40:21 PM CEST
uid:            1000
username:       newman
xsession_errors: 

backtrace:      Text file, 26387 bytes
dso_list:       Text file, 7179 bytes
maps:           Text file, 36425 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/newman/2

core_backtrace:
:6251972227c32e7349ac4881ef5c4d9eccaba666 0x7980 - [exe] -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x206d8 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x2220be - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x90cc5 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aab6 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:6251972227c32e7349ac4881ef5c4d9eccaba666 0x6316 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=assam
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c03bc72e0463ecc13950733400000010-1335445580.716462-593345281
:GNOME_KEYRING_CONTROL=/run/user/newman/keyring-gYyOxk
:IMSETTINGS_MODULE=none
:USER=newman
:USERNAME=newman
:MAIL=/var/spool/mail/newman
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/newman/.local/bin:/home/newman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/newman
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1024
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/newman
:SHLVL=1
:LOGNAME=newman
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-XkzKGbQRad,guid=fa82853c1dfd6a43d883e2a80000003e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/newman
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-newman-tLHIpr/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1028,unix/unix:/tmp/.ICE-unix/1028
:SSH_AUTH_SOCK=/run/user/newman/keyring-gYyOxk/ssh
:GPG_AGENT_INFO=/run/user/newman/keyring-gYyOxk/gpg:0:1
:DESKTOP_AUTOSTART_ID=1031a8a5806ad6c882133544558243268800000010280012
:ABRT_VERBOSE=0
:LIBREPORT_PRGNAME=abrt

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 5774                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       5774                 5774                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/newman/.xsession-errors
:pos:	4819
:flags:	0102002
:2:/home/newman/.xsession-errors
:pos:	4819
:flags:	0102002
:3:socket:[22203]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[22207]
:pos:	0
:flags:	02004002
:6:/dev/urandom
:pos:	0
:flags:	02100000
:7:socket:[22212]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:socket:[25339]
:pos:	0
:flags:	02004002
:10:pipe:[24191]
:pos:	0
:flags:	01
:11:pipe:[25043]
:pos:	0
:flags:	01

smolt_data:
:
:
:General
:=================================
:UUID: 5080a0a3-c540-4669-ba49-c4a222095db3
:OS: Fedora release 17 (Beefly Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5319.99
:CPU Vendor: GenuineIntel
:CPU Model: QEMU Virtual CPU version (cpu64-rhel6)
:CPU Stepping: 3
:CPU Family: 6
:CPU Model Num: 13
:Number of CPUs: 1
:CPU Speed: 2659
:System Memory: 740
:System Swap: 1982
:Vendor: Red Hat
:System: KVM RHEL 6.2.0 PC
:Form factor: Other
:Kernel: 3.3.2-8.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4115:184:6900:4352) pci, None, VIDEO, GD 5446
:(6900:4096:6900:1) pci, virtio-pci, ETHERNET, Virtio network device
:(6900:4097:6900:2) pci, virtio-pci, SCSI, Virtio block device
:(32902:4663:6900:4352) pci, None, HOST/PCI, Qemu virtual machine
:(6900:4098:6900:5) pci, virtio-pci, RAM, Virtio memory balloon
:(32902:28947:6900:4352) pci, piix4_smbus, BRIDGE, Qemu virtual machine
:(32902:28704:6900:4352) pci, uhci_hcd, USB, Qemu virtual machine
:(32902:28688:6900:4352) pci, ata_piix, STORAGE, Qemu virtual machine
:(32902:28672:6900:4352) pci, None, PCI/ISA, Qemu virtual machine
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/vda3 / ext4 4096 4096 2501360 932686 807221 628320 440716 440716
:/dev/vda2 /boot ext4 1024 1024 508745 332700 307100 128016 127770 127770
:

var_log_messages:
:Apr 26 15:39:31 assam yum[1810]: Installed: libreport-gtk-devel-2.0.10-2.fc17.x86_64
:Apr 26 15:40:21 assam kernel: [ 2102.086910] report-gtk[1617]: segfault at 0 ip 0000000000407980 sp 00007fff6edf91c0 error 4 in report-gtk[400000+1a000]
:Apr 26 15:40:22 assam abrt[1853]: Saved core dump of pid 1617 (/usr/bin/report-gtk) to /var/spool/abrt/ccpp-2012-04-26-15:40:21-1617 (23056384 bytes)
Comment 1 Michal Nowak 2012-04-26 09:49:32 EDT
Created attachment 580483 [details]
File: backtrace
Comment 2 Michal Nowak 2012-04-26 09:49:35 EDT
Created attachment 580484 [details]
File: maps
Comment 3 Michal Nowak 2012-04-26 09:49:37 EDT
Created attachment 580485 [details]
File: dso_list
Comment 4 Jakub Filak 2012-10-24 15:38:17 EDT
report-gtk has been almost completely rewritten and a code causing this crash simply disappeared.

Note You need to log in before you can comment on or make changes to this bug.